Subject: Re: [PATCH 0/2] diff tests: un-flaky and post-gettext-poison cleanup

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Apr 2021 14:42:32 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> In reply to [1] because they're related post-GETTEXT_POISON cleanup,
> but both apply on top of master.
>
> I had a flaky t4013 test with some local WIP code that I hadn't
> investigated, as it turns out re-running the test was hiding the
> failure. 2/2 fixes that, 1/2 is a minor post-GETTEXT_POISON cleanup.

I feel somewhat offended to see t4013's "auto preparation of the
expected output" feature (which of course I invented) as "flakey" ;-)
but I agree that was a misfeature.  Thanks for taking a look.